> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Outbound Config

> Get outbound calling configuration for an agent.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /outbound/agents/{agent_id}/outbound-config
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /outbound/agents/{agent_id}/outbound-config:
    get:
      tags:
        - outbound-config
      summary: Get Outbound Config
      description: Get outbound calling configuration for an agent.
      operationId: get_outbound_config_outbound_agents__agent_id__outbound_config_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OutboundConfigResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OutboundConfigResponse:
      properties:
        agent_id:
          type: string
          title: Agent Id
        phone_numbers:
          items:
            $ref: '#/components/schemas/OutboundPhoneNumber'
          type: array
          title: Phone Numbers
        schedules:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Schedules
        default_schedule_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Schedule Id
        total_calls_today:
          type: integer
          title: Total Calls Today
        calls_remaining_today:
          type: integer
          title: Calls Remaining Today
        can_call_now:
          type: boolean
          title: Can Call Now
        next_available_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Available Time
      type: object
      required:
        - agent_id
        - phone_numbers
        - schedules
        - default_schedule_id
        - total_calls_today
        - calls_remaining_today
        - can_call_now
        - next_available_time
      title: OutboundConfigResponse
      description: Outbound configuration response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OutboundPhoneNumber:
      properties:
        phone_number:
          type: string
          pattern: ^\+?[1-9]\d{1,14}$
          title: Phone Number
          description: E.164 format
        display_name:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          title: Display Name
        is_default:
          type: boolean
          title: Is Default
          description: Use as default caller ID
          default: false
        enabled:
          type: boolean
          title: Enabled
          default: true
        daily_limit:
          anyOf:
            - type: integer
              maximum: 10000
              minimum: 0
            - type: 'null'
          title: Daily Limit
          description: Max calls per day
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
      type: object
      required:
        - phone_number
      title: OutboundPhoneNumber
      description: Outbound phone number configuration.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````